### Name: PackageSum2
### Title: Add Info from Installed Packages to PackageSummary
### Aliases: PackageSum2 PackageSum2.RSiteSearch PackageSum2.data.frame
###   PackageSum2.list
### Keywords: package

### ** Examples

##
## data.frame method
##
tstdf <- data.frame(Package=c('fda', 'base'), stringsAsFactors=FALSE)
tst2 <- PackageSum2(tstdf)

##
## list method
##
tstList <- list(PackageSummary=tstdf)
## Don't show: 
stopifnot(
## End Don't show
all.equal(tst2, PackageSum2(tstList))
## Don't show: 
)
## End Don't show

##
## RSiteSearch method
##
tstRSearch <- data.frame(Package=c('fda', 'base')[c(1,1,2)], Score=2:4,
                    Date=LETTERS[1:3], stringsAsFactors=FALSE)
attr(tstRSearch, 'PackageSummary') <- PackageSummary(tstRSearch)
class(tstRSearch) <- c('RSiteSearch', 'data.frame')
tst2. <- PackageSum2(tstRSearch)

# row names are different from tst2, so fix ...
row.names(tst2.) <- row.names(tst2)
## Don't show: 
stopifnot(
## End Don't show
all.equal(tst2, tst2.[names(tst2)])
## Don't show: 
)
## End Don't show




